Package Details: slowmovideo-git 0.6.r7.g2a74306-1

Git Clone URL: https://aur.archlinux.org/slowmovideo-git.git (read-only, click to copy)
Package Base: slowmovideo-git
Description: Video slow motion effect via interpolation
Upstream URL: http://slowmovideo.granjow.net/index.html
Licenses: GPL
Conflicts: slowmovideo
Provides: slowmovideo
Submitter: dserban
Maintainer: evorster (bartus)
Last Packager: evorster
Votes: 35
Popularity: 0.004446
First Submitted: 2011-08-28 20:38
Last Updated: 2020-05-17 05:35

Latest Comments

1 2 3 4 Next › Last »

bartus commented on 2020-05-18 14:05

Thanks, I've also created the GitHub repo for posting pull requests

https://github.com/bartoszek/AUR-slowmovideo-git

evorster commented on 2020-05-17 05:36

Hi there, bartus. I have added you as a maintainer to this package, as you have a much more keen interest in it than I. I applied all your patches to the PKGBUILD, and uploaded it. From here you are free to make any changes to the official package as you require.

;)

bartus commented on 2020-05-06 19:27

@everster: PKGBUILD is broken (need submodule init, OpenCV.patch has bad path)

  • ad2. The correct version number scheme for git master with tag: vcs packaging guidelines
  • ad3. PKGBUILD is missing OpenCV4.patch in source array, so patch won't be copied to SRCDEST and build will fail if you use different SRCDEST (wiki) (you can test this with extra-x64_86-build)

you can apply all my patches, just run this in local clone of slowmovideo package.

git am < <(curl -s http://ix.io/2l3B)

evorster commented on 2020-02-06 11:57

  1. The valgit repo on Github has the last update listed as somewhere in 2017. Use at your own peril.

  2. This is a package that follows a git master branch, so no version numbers as it is not released packages. Should you require a released version, feel free to make your own Arch Aur package, you are welcome to use this PKGBUILD as a base. ;)

  3. The PKGBUILD works fine on my system, how exactly is it malformed?

bartus commented on 2020-02-04 14:36

Also would be nice if you use actual package name provided by the developers, instead of a date.

git am < <(curl -s https://pastebin.com/raw/5nprCgBK)

you welcome ;)

bartus commented on 2020-02-04 14:29

PKGBUILD is malformed and need an update to work with makepkg

git am < <(curl -s https://pastebin.com/raw/Zke18297)

Run in your local clone.

George commented on 2019-09-06 08:16

If slowmo doesn't work after errorless compilation you can use another source https://github.com/valgit/slowmoVideo

Just change source path into PKGBUILD It works with opencv 4.1

And check path to OpenCV4_compile.patch file

rokidakota commented on 2019-07-16 14:08

Are there two different issues or is it just one? I applied the patch for opencv4 but I still get the

non-existent path "//include/opencv4"

problem. Is there a known solution to that one? I found a similar error in a different project: https://github.com/opencv/opencv/issues/14323 but I can't figure out if it's the same issue in slowmovideo.

HelloWorld commented on 2019-05-30 21:09

@insatiable_kin Hi, have you already solved the problem? Since I also encountered this kind of error. Thanks.

insatiable_kin commented on 2019-05-19 07:54

fails to build with multiple CMAKE errors related to opencv:

CMake Error in slowmoVideo/slowmoInfo/CMakeLists.txt: Imported target "opencv_calib3d" includes non-existent path

"//include/opencv4"

in its INTERFACE_INCLUDE_DIRECTORIES. Possible reasons include:

  • The path was deleted, renamed, or moved to another location.
  • An install or uninstall procedure did not complete successfully.
  • The installation package was faulty and references files it does not provide.